Skip to main content
GET
/
accounts
/
{accountId}
Retrieve an account's details
curl --request GET \
  --url https://api.equalsmoney.com/v2/accounts/{accountId} \
  --header 'Authorization: <api-key>'
{
  "id": "F50091",
  "type": "Business",
  "status": "applicationPending",
  "termsAccepted": true,
  "correlationId": "16700261790",
  "privacyAccepted": true,
  "salesperson": "Lester Spinka",
  "accountManager": "Kerry McDermott",
  "bankEntity": "BARC",
  "configurationId": "12345678901",
  "currentRiskLevel": "Low",
  "tier": "BRONZE",
  "features": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "accountId": "F50091",
    "payments": true,
    "batchPayments": true,
    "cards": true,
    "virtualCards": "active",
    "physicalCards": "active",
    "microCorp": true,
    "sharedCardProductId": "554bab88-15af-49ca-bd53-d0bd3aeab002",
    "individualVirtualCardProductId": "78da7405-b96f-4404-8bdc-b2af36413bed",
    "individualPhysicalCardProductId": "d92913b7-2f88-490c-84d3-4293ec0b3472",
    "useBalanceName": true,
    "forwardContracts": true,
    "sourceOfBalance": "boxes",
    "cardsSharedType": "prepaid",
    "cardsIndividualType": "prepaid",
    "selfApprove": true,
    "apiIgnorePaymentApproval": true,
    "moveMoneyRequests": true,
    "subBalances": true,
    "autoCreditToFundsHeld": true,
    "dualAuthorise": true,
    "freeInternalTransfers": true,
    "expediteCardProcessingEnabled": true,
    "enforceMFAVerification": false,
    "pinForVirtualCardsEnabled": false,
    "sharedCardsEnabled": true,
    "individualCardsEnabled": true,
    "lowBalanceAlertsEnabled": false,
    "minimumCardOrderTopUpAmount": 0,
    "minimumCardOrderTopUpAmountReached": true,
    "statementsFrom": "2019-08-24T14:15:22Z",
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt": "2019-08-24T14:15:22Z"
  },
  "productId": "3ef24d53-6e22-4103-a16b-d268e4f7346d",
  "primaryOwner": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "firstName": "Dolly",
    "lastName": "Parton",
    "title": "Master",
    "middleInitials": "R",
    "dob": "1946-01-19",
    "gender": "Female",
    "nationality": "US",
    "nationalities": [
      "GB"
    ],
    "countryOfResidence": "US",
    "primaryMobileNumber": "+447798121212",
    "primaryEmailAddress": "test@equalsqa.com",
    "avatar": {
      "url": "string",
      "fileName": "string"
    },
    "sendInvite": true,
    "roleId": "7382d58e-652a-4905-b7c9-bcca1e0e5391",
    "verifyEmailAddress": true,
    "verifyMobileNumber": true,
    "sub": "8e214819-5c83-429f-a976-eb127a0a8a88 or auth0|12345a6b7890c1def1234dg5",
    "hasPeopleCard": true,
    "card": {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
    },
    "status": "active",
    "locale": "en-GB",
    "productId": "3ef24d53-6e22-4103-a16b-d268e4f7346d",
    "avatarId": "ac572b6e-802b-4b9e-a602-0786d4441e67",
    "avatarCdnUrl": "string",
    "emailTheme": "string",
    "preferred2FAMethod": "whatsapp",
    "persona": {},
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt": "2019-08-24T14:15:22Z"
  },
  "primaryOwnerPersonaId": "7734d652-76e5-4d92-a9d4-f83c69a2caa3",
  "business": {
    "accountId": "F50091",
    "name": "FairFX",
    "countryOfRegistration": "United Kingdom",
    "companyType": "Limited",
    "companiesHouseId": "05539698",
    "telephoneNumber": "020 122 123",
    "timezone": "Europe/London",
    "registeredName": "FairFX",
    "tradingName": "FairFX Group",
    "website": "https://fairfx.com",
    "industry": "Financial Services",
    "fourthLine": "FairFX",
    "logo": {
      "url": "string",
      "fileName": "string"
    },
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt": "2019-08-24T14:15:22Z"
  },
  "personal": {
    "accountId": "F50091",
    "name": "FairFX",
    "countryOfRegistration": "United Kingdom",
    "companyType": "companyType",
    "companiesHouseId": "05539698",
    "telephoneNumber": "020 122 123",
    "timezone": "Europe/London",
    "registeredName": "FairFX",
    "tradingName": "FairFX Group",
    "website": "https://fairfx.com",
    "industry": "Financial Services",
    "logo": {
      "url": "string",
      "fileName": "string"
    },
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt": "2019-08-24T14:15:22Z"
  },
  "addresses": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "type": "office",
      "nickName": "office",
      "addressLine1": "Great Building",
      "addressLine2": "Four Maple Street",
      "addressLine3": "Southwark",
      "addressContact": "Brian May",
      "city": "string",
      "postcode": "SE13UB",
      "country": "England",
      "countryCode": "GB",
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z"
    }
  ],
  "currencies": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "code": "GBP",
      "name": "Pound Sterling",
      "status": {
        "enabled": true
      }
    }
  ],
  "payments": {
    "id": "string",
    "active": true,
    "maxLength": 42,
    "depositRequired": 5,
    "maxAmount": 500000,
    "accountId": "F50091"
  },
  "solutions": true,
  "maxCardsAndBudgets": {
    "maxIndividualCards": 0,
    "maxSharedCards": 0,
    "maxBudgets": 0,
    "maxIndividualCardsPerPerson": 0
  },
  "locale": "en-GB",
  "details": {
    "accountId": "F50091",
    "name": "FairFX",
    "countryOfRegistration": "United Kingdom",
    "companyType": "Limited",
    "companiesHouseId": "05539698",
    "telephoneNumber": "020 122 123",
    "timezone": "Europe/London",
    "registeredName": "FairFX",
    "tradingName": "FairFX Group",
    "website": "https://fairfx.com",
    "industry": "Financial Services",
    "fourthLine": "FairFX",
    "logo": {
      "url": "string",
      "fileName": "string"
    },
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt": "2019-08-24T14:15:22Z"
  },
  "marketId": "3ef24d53-6e22-4103-a16b-d268e4f7346d",
  "market": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "name": "UK",
    "bank": "string",
    "baseCurrencyId": "7188015d-0ba6-4f9a-a255-5c3b5aa06eca",
    "atmWithdrawalFee": 0,
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt": "2019-08-24T14:15:22Z"
  },
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z",
  "currencyAlignment": true,
  "accountBanks": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "accountId": "F50091",
      "marketBank": {
        "name": "Barclays"
      },
      "marketBankId": "b1065e35-4037-4a43-b497-2a449857cb42",
      "priority": 1,
      "type": "settlement"
    }
  ],
  "settings": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "AccountId": "F50091",
    "accountId": "F50091",
    "balanceRequests": true,
    "paymentRequests": true,
    "createRequestReason": "mandatory",
    "rejectRequestReason": "mandatory",
    "requestAttachments": "mandatory",
    "maxPendingRequestsTotal": 0,
    "maxPendingRequestsPerBudget": 0,
    "requestExpiryDays": 0,
    "maxIndividualCards": 0,
    "maxSharedCards": 0,
    "maxIndividualCardsPerPerson": 0,
    "maxBudgets": 0,
    "maxUsers": 0,
    "currencyAlignment": true,
    "marketingEmails": true,
    "onboardingEmails": true,
    "batchPaymentsVerificationOfPayee": true,
    "transactionalEmails": true,
    "securityNotifications": true,
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt": "2019-08-24T14:15:22Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.equalsmoney.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Path Parameters

accountId
string
required

The ID of the account to work with.

Example:

"F50091"

Query Parameters

personId
string<uuid>

The ID of the person to work with.

Maximum string length: 36
Example:

"775596ae-2624-40af-a9dc-9756110a4a04"

include
enum<string>

The type of embed to include. Comma separated list, url encoded.

Available options:
addresses,
currencies,
primaryOwner,
market,
settings,
maxCardsAndBudgets,
banks,
currencyAlignment,
productWithFeatures
Example:

"currencies,market"

Response

200 - application/json

OK

id
string
required

The ID of the account to work with.

Example:

"F50091"

type
enum<string>
required

The type of Account.

Available options:
Business,
Personal
status
enum<string>
required

The status of Account.

Available options:
applicationPending,
active,
inactive,
suspended,
customerClosed,
equalsFullClosed,
equalsReadonlyClosed,
identityVerificationRequired
termsAccepted
boolean
required

If they've accepted our Terms and Conditions when registering.

Example:

true

privacyAccepted
boolean
required

If they've accepted our Privacy Policy when registering.

Example:

true

salesperson
string | null
required

Name of the Salesperson that signed them up.

Maximum string length: 256
Example:

"Lester Spinka"

accountManager
string | null
required

Name of their Account Manager going forward.

Maximum string length: 256
Example:

"Kerry McDermott"

primaryOwnerPersonaId
string<uuid> | null
required

The ID of the primary owner persona.

Maximum string length: 36
locale
enum<string>
required

Determines customer communication language. emails, notifications, etc.

Available options:
en-GB
Example:

"en-GB"

createdAt
string<date-time>
required

The date the Resource was initially created. ISO 8601 format without milliseconds.

updatedAt
string<date-time>
required

The date the Resource was last modified. ISO 8601 format without milliseconds.

correlationId
string
Example:

"16700261790"

bankEntity
string | null

Name of their Bank used for outgoing payments.

Maximum string length: 256
Example:

"BARC"

configurationId
string | null

The configuration ID used for billing configuration. Links the account to a specific fee structure. Set when the account is created, cannot be modified afterwards.

Maximum string length: 36
Example:

"12345678901"

currentRiskLevel
enum<string>
Available options:
Low,
Medium,
MediumHigh,
High,
Dormant,
Extreme,
redacted
tier
enum<string>

tier of Account

Available options:
BRONZE,
SILVER,
GOLD,
NotTraded
Example:

"BRONZE"

features
object
productId
string<uuid>

The ID of the product to work with.

Maximum string length: 36
Example:

"3ef24d53-6e22-4103-a16b-d268e4f7346d"

primaryOwner
object

Primary owner person

business
object

Appears if the Account type is Business.

personal
object

Appears if the Account type is Personal.

addresses
object[]
currencies
object[]
payments
object

Account payments

solutions
boolean

If account belongs to solution client or not.

maxCardsAndBudgets
object

Maximum number of cards and budgets allowed for the account

details
any
marketId
string<uuid> | null

The ID of the market.

Maximum string length: 36
Example:

"3ef24d53-6e22-4103-a16b-d268e4f7346d"

market
object
currencyAlignment
boolean

Currency alignment value for a the account.

accountBanks
object[]
settings
object